package com.ygtx.gxt.domain;

import com.ygtx.common.annotation.Excel;
import com.ygtx.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 设备运行时间长-人员对象 gxt_device_runtime_person
 *
 * @author ruoyi
 * @date 2025-11-17
 */
public class GxtDeviceRuntimePerson extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 设备运行时长ID */
    @Excel(name = "设备运行时长ID")
    private Long deviceRuntimId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long personId;

    /** 是否负责人 */
    @Excel(name = "是否负责人")
    private Integer isLeader;

    /** 分数 */
    @Excel(name = "分数")
    private BigDecimal score;

    /** 月份 */
    @Excel(name = "月份")
    private String monthPeriod;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDeviceRuntimId(Long deviceRuntimId)
    {
        this.deviceRuntimId = deviceRuntimId;
    }

    public Long getDeviceRuntimId()
    {
        return deviceRuntimId;
    }
    public void setPersonId(Long personId)
    {
        this.personId = personId;
    }

    public Long getPersonId()
    {
        return personId;
    }
    public void setIsLeader(Integer isLeader)
    {
        this.isLeader = isLeader;
    }

    public Integer getIsLeader()
    {
        return isLeader;
    }
    public void setScore(BigDecimal score)
    {
        this.score = score;
    }

    public BigDecimal getScore()
    {
        return score;
    }
    public void setMonthPeriod(String monthPeriod)
    {
        this.monthPeriod = monthPeriod;
    }

    public String getMonthPeriod()
    {
        return monthPeriod;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceRuntimId", getDeviceRuntimId())
            .append("personId", getPersonId())
            .append("isLeader", getIsLeader())
            .append("score", getScore())
            .append("monthPeriod", getMonthPeriod())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}